fann_get_network_type
fann_get_num_layers
Fann Functions
PHP Manual

# fann_get_num_input

(PECL fann >= 1.0.0)

fann_get_num_input — Get the number of input neurons

### Description

int fann_get_num_input ( resource `$ann` )

Get the number of input neurons.

### Parameters

`ann`

  Neural network resource.

### Return Values

Number of input neurons, or `FALSE` on error

fann_get_network_type
fann_get_num_layers
Fann Functions
PHP Manual